#include <string.h>
#include <unistd.h>
#include "lcd.h"

int main() {
    struct pin pins[NUM_PINS] = {
            {"P_11", 45}, // E
            {"P_12", 44}, // RS
            {"P_13", 23}, // D4
            {"P_14", 26}, // D5
            {"P_15", 47}, // D6
            {"P_16", 46}  // D7
    };

    screen_init(pins);
    screen_clear(pins);

    char *to_write = "Hello, world!";
    screen_print(pins, to_write, strlen(to_write), 0);

    char *to_write2 = "test";
    screen_print(pins, to_write2, strlen(to_write2), 1);

    sleep(3);

    char *to_write3 = "something";
    screen_print(pins, to_write3, strlen(to_write3), 0);

    sleep(2);
    screen_clear(pins);
    screen_deinit(pins);

    return 0;
}
